monshow(1)

NAME
monshow - show operational status of mon server.

SYNOPSIS
monshow [--help] [--showall] [--full] [--disabled] [--detail group,service] [--view name] [--auth] [--login user] [--old] [--server hostname] [--port portnum] [--prot protocol] [--rcfile file]

DESCRIPTION
monshow show the operational status of the mon server. Both command-line and CGI interfaces are available.

OPTIONS

--help
    show help

--showall
    Do not read configuration file, and show operational status of all groups and services.

--full
    Instead of showing only failed services, show all services no matter the state.

--detail group,service
    Display detailed information for group and service. This includes description, detailed output of the monitor, dependency information, and more. When invoked via CGI, append "detail=group,service" to get detail for a service.

--view name
    Display a pre-configured view. When invoked via CGI, supply the arguments "view=name" in the URL, or by using this technique: "http://monhost/monshow.cgi/name". For security reasons, leading forward slashes and imbedded ".."s are removed from the view name.

--auth
    Authenticate client to the mon server.

--disabled
    Show disabled groups, services, and hosts. The default is to not show anything which is disabled, but this may be overridden by the config file.

--server hostname
    Connect to the mon server on host hostname. hostname can be either the name of a host or an IP address. If this name is not supplied by this argument, then the environment variable MONHOST is used, if it exists. Otherwise, monshow will fail.

--login username
    When authenticating, use username.

--port portnum
    Connect to the server on portnum.

--prot protocol
    Sets the protocol to protocol. The protocol must match the format "1.2.3". If unset, the default supplied by the Mon::Client module is used. Do not use this parameter unless you really know what you are doing.

--old
    Use the old 0.37 protocol and port number (32777).

--rcfile file
    Use configuration file file instead of ~/.monshowrc.

CGI INVOCATION
If monshow is invoked with the "REQUEST_METHOD" environment variable set, then CGI invocation is assumed. In that case, monshow gathers variables and commands submitted via the POST method and QUERY_STRING. Command-line options are ignored for security reasons.

All reports which are produced via the web interface have a text mode equivalent.

VIEWS

A view is a pre-defined configuration supplied to monshow. Views can be used to generate different reports of the status of certain services for different audiences. They are especially useful if you are monitoring hundreds of things with mon, and you need to see only a subset of the overall operational status. For example, the web server admins can see a report which has only the web server statuses, and the file server admins can have their own report which shows only the servers. Users can customize their own views by editing their own configurations.

Views are stored as files in a system-wide directory, typically /etc/mon/monshow, where each file specifies one view. If this path is not suitable for any reason, it can be changed by modifying the $VIEWPATH variable in the monshow script.

When invoking monshow from the command line, the view to display is specified by the --view=name argument.

In the case of CGI invocation, views can be specified by appending either ?view=name or /name to the URL. For example, the following are equivalent:

http://monhost/monshow.cgi?view=test
http://monhost/monshow.cgi/test

If a view is not specified, then a default configuration will be loaded from $HOME/.monshowrc (command-line invocation) or cgi-path/.monshowrc (CGI invocation).

VIEW CONFIGURATION FILE

The view file contains a list of which services to display, how to display them, and a number of other parameters. Blank lines and lines beginning with a # (pound) are ignored.

watch group
    Include the status of all the services for "group".

service group service
    Include the status of the service specified by group and service.

If no watch or service configuration lines are present, then the status of all groups and services are displayed.

set show-disabled
    This has the same effect as using the --disabled option.

set host hostname
    Query the mon server hostname.

set port number
    The TCP port which the mon server is listening on.

set prot protocol
    Set the protocol. This probably should not be used unless you really know what you're doing.

set full
    Show everything disabled, all failures, all successes, and all untested services.

set bg color
    Background color for the CGI report. The value of this parameter should resemble "d5d5d5" (without the quotes).

set bg-ok color
    Background color for services which are in an "ok" state.

set bg-fail color
    Background color for services which are failing.

set bg-untested color
    Background color for services which have yet to be tested.

set refresh seconds
    For CGI output, set the frequency that the report reloads. The default is to not reload.

summary-len len
    For CGI output, set the maximum length of the summary output to display. Summary text which exceeds len will be truncated and replaced with ellipses.

link group service URL
    For the CGI report, make a link to URL at the bottom of the detail report for group/service for more information.

link-text group service
    Insert all HTML up until a line beginning with "END" after the link specified with the link setting.

set html-header
    Lines after this statement, continuing up until a line beginning with the word "END" will be displayed after the "</head>" tag in the CGI output. Use this to display custom headers, including images and other fancy things.

ENVIRONMENT VARIABLES

MONHOST
    The hostname of the server which runs the mon process.

SEE ALSO
mon(8)

BUGS
Report bugs to the email address below.

AUTHOR
Jim Trocki <trockij@arctic.org>